Subject: bug#43482: closed (Re: [bug#43482] [PATCH v2 1/2] doc: Update the master menu.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 27 Sep 2020 20:39:02 +0000

Your bug report

#43482: [PATCH 0/3] doc: Reorder "Channels" section

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
43482: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=43482
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#43482] [PATCH v2 1/2] doc: Update the master menu.
From: Ludovic Courtès <[email-masked]>
To: zimoun <[email-masked]>
Cc: [email-masked]
Date: Sun, 27 Sep 2020 22:38:12 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

zimoun <[email-masked]> skribis:

> * doc/guix.texi: Update the master menu.

[...]

> The sectioning becomes:
>
> 1.  Specifying Additional Channels     (was 3.)
> 2.  Using a Custom Guix Channel        (was 2.)
> 3.  Replicating Guix                   (was 9.)
> 4.  Channel Authentication             (was 1.)
> 5.  Primary URL                        (was 7.)
> 6.  Creating a Channel                 (reworded)
> 7.  Package Modules in a Sub-directory (was 5.)
> 8.  Declaring Channel Dependencies     (was 4.)
> 9.  Specifying Channel Authorizations  (was 6.)
> 10. Writing Channel News               (was 8.)
>
> * doc/guix.texi (Channels): Move section to chapter.
> Reorder the chapter.
> Minor tweaks to keep uniformity.
> Update the master menu.

Applied, thanks!

Ludo’.

Subject: [PATCH 0/3] doc: Reorder "Channels" section
From: zimoun <[email-masked]>
To: [email-masked]
Cc: zimoun <[email-masked]>
Date: Fri, 18 Sep 2020 03:37:44 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear,

As discussed here [1], the Channels is modified to satisfy a more logical
order, at least mine. :-)

The patch 0003 can be hard to review.  Basically, I have moved the sections:

 5.6 Invoking @command{guix pull}
 5.7 Channels
   5.7.1 Specifying Additional Channels
   5.7.2 Using a Custom Guix Channel
   5.7.3 Replicating Guix
   5.7.4 Channel Authentication
   5.7.5 Primary URL
   5.7.6 Writing custom channels
   5.7.7 Package Modules in a Sub-directory
   5.7.8 Declaring Channel Dependencies
   5.7.9 Specifying Channel Authorizations
   5.7.10 Writing Channel News
 5.8 Invoking @command{guix time-machine}

And I did some minor tweaks trying to have user vs developer of channels.  Say
that from 5.7.1 to 5.7.5, the channel are collection of "variants". Then it
becomes "your own channel".

I added these words which deserve a better wording, I guess.

--8<---------------cut here---------------start------------->8---
Last, as a channel author, you may want to run an authenticated channel
(@pxref{Channel Authentication}), then @pxref{Specifying Channel
Authorizations} for details.
--8<---------------cut here---------------end--------------->8---

At the end of the section "Writing custom channels".

And after some thinking, I find better to have "guix pull" and time-machine
visible from Package Management section:
<https://guix.gnu.org/manual/devel/en/guix.html#Package-Management>.

Well, that is a start. :-)

[1] https://lists.gnu.org/archive/html/guix-devel/2020-09/msg00153.html

All the best,
simon

zimoun (3):
  doc: Update the master menu.
  doc: Add the "Channels" section menu.
  doc: Reorder the "Channels" section.

 doc/guix.texi | 353 +++++++++++++++++++++++++++++---------------------
 1 file changed, 202 insertions(+), 151 deletions(-)

base-commit: 679d5e6b3dcac4ee1f419c04b3719fead0bd9ee5
-- 
2.28.0